package test.annotation;

import net.w_horse.excelpojo.annotation.Bean;
import net.w_horse.excelpojo.annotation.LabeledCell;
import net.w_horse.excelpojo.xml.tag.RetrieveFrom;

@Bean
public class LabeledCellRetrieveFrom {
	@LabeledCell(label="ラベル位置", retrieveFrom=RetrieveFrom.RIGHT)
	private String retrievFromRight;

	@LabeledCell(label="ラベル位置", retrieveFrom=RetrieveFrom.BOTTOM)
	private String retrievFromBottom;

	@LabeledCell(label="ラベル位置", retrieveFrom=RetrieveFrom.LEFT)
	private String retrievFromLeft;

	public void setRetrievFromRight(String retrievFromRight) {
		this.retrievFromRight = retrievFromRight;
	}
	public String getRetrievFromRight() {
		return retrievFromRight;
	}
	public void setRetrievFromBottom(String retrievFromBottom) {
		this.retrievFromBottom = retrievFromBottom;
	}
	public String getRetrievFromBottom() {
		return retrievFromBottom;
	}
	public void setRetrievFromLeft(String retrievFromLeft) {
		this.retrievFromLeft = retrievFromLeft;
	}
	public String getRetrievFromLeft() {
		return retrievFromLeft;
	}

}
